There is an unsupported version for Bada. You can install it directly from Samsung Apps.